from django.test import TestCase
import yaml

from common.utah_parser import UTAHParser, ParserError


output = """
failures: 1
passes: 2
errors: 0
runlist: runlist
ran_at: date
commands: /bin/true
fetch_errors: 0
uname: Linux
media-info: Linux
install_type: install
arch: amd64
release: vivid
build_number: 20150325
name: Test stuff
"""


class TestUTAHParser(TestCase):

    def test_parse_valid(self):
        parser = UTAHParser()

        data = parser.parse(output, as_string=True)

        self.assertEqual(yaml.load(output), data)

    def test_parse_invalid(self):
        parser = UTAHParser()

        with self.assertRaises(ParserError):
            data = parser.parse("junk%s" % output, as_string=True)
