# QA Dashboard
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.core.urlresolvers import reverse_lazy
from django.conf.urls import include, patterns, url
from django.core.management import call_command
from common.plugin_helper import Extension


DIGITS_BUILD_NUMBER = 8  # YYYYMMDD


class SuspendExtension(Extension):
    URL_PATTERNS = patterns(
        '',
        url(r'^suspend/', include('suspend.urls')),
        url(r'^api/suspend/', include('suspend.urls_api')),
    )

    LINKS = [
        {
            'name': 'suspends',
            'url': reverse_lazy('suspend_arch_overview'),
            'label': 'Suspend blockers',
            'index': 501,
        },
    ]

    def contribute_to_kpis(self, kpi_mgr):
        return []

    def pull_data(self):
        call_command('jenkins_pull_suspend')

    @classmethod
    def name(cls):
        return cls.__name__


extension = SuspendExtension()
