# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    depends_on = (
        ('common', '0002_add_jenkins_models'),
    )

    def forwards(self, orm):
        # Adding model 'SuspendImage'
        db.create_table('suspend_images', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('release', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('variant', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('arch', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('md5', self.gf('django.db.models.fields.CharField')(unique=True, max_length=4096)),
            ('build_number', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('build_id', self.gf('django.db.models.fields.CharField')(default='', max_length=4096)),
            ('rootfs_id', self.gf('django.db.models.fields.CharField')(default='', max_length=4096)),
            ('device_specific_id', self.gf('django.db.models.fields.CharField')(default='', max_length=4096)),
            ('customization_id', self.gf('django.db.models.fields.CharField')(default='', max_length=4096)),
            ('image_type', self.gf('django.db.models.fields.CharField')(default=u'daily', max_length=4096)),
        ))
        db.send_create_signal(u'suspend', ['SuspendImage'])

        # Adding model 'SuspendMachine'
        db.create_table('suspend_machines', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=4096)),
            ('mac_address', self.gf('django.db.models.fields.CharField')(max_length=4096)),
        ))
        db.send_create_signal(u'suspend', ['SuspendMachine'])

        # Adding model 'SuspendResult'
        db.create_table('suspend_results', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['suspend.SuspendImage'])),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['suspend.SuspendMachine'])),
            ('jenkins_build', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['common.JenkinsBuild'])),
            ('suspends_attempted', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('suspends_succeeded_percent', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('suspends_total_time_percent', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('suspend_mean_duration_seconds', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('suspend_minimum_duration_seconds', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('suspend_maximum_duration_seconds', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('awake_minimum_duration_seconds', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
            ('awake_maximum_duration_seconds', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'suspend', ['SuspendResult'])

        # Adding model 'SuspendBlocker'
        db.create_table('suspend_blockers', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('result', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['suspend.SuspendResult'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('count', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('percent', self.gf('django.db.models.fields.FloatField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'suspend', ['SuspendBlocker'])


    def backwards(self, orm):
        # Deleting model 'SuspendImage'
        db.delete_table('suspend_images')

        # Deleting model 'SuspendMachine'
        db.delete_table('suspend_machines')

        # Deleting model 'SuspendResult'
        db.delete_table('suspend_results')

        # Deleting model 'SuspendBlocker'
        db.delete_table('suspend_blockers')


    models = {
        u'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'assignee': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'importance': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'project': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'default': "u'unknown'", 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsbuild': {
            'Meta': {'unique_together': "(('job', 'build_number'),)", 'object_name': 'JenkinsBuild', 'db_table': "'jenkins_builds'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'build_bugs'", 'symmetrical': 'False', 'to': u"orm['common.Bug']"}),
            'build_description': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'failed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.JenkinsJob']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'common.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob', 'db_table': "'jenkins_jobs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '4096'})
        },
        u'suspend.suspendblocker': {
            'Meta': {'object_name': 'SuspendBlocker', 'db_table': "'suspend_blockers'"},
            'count': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'percent': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['suspend.SuspendResult']"}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'suspend.suspendimage': {
            'Meta': {'object_name': 'SuspendImage', 'db_table': "'suspend_images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'build_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'customization_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'device_specific_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_type': ('django.db.models.fields.CharField', [], {'default': "u'daily'", 'max_length': '4096'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'rootfs_id': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'suspend.suspendmachine': {
            'Meta': {'object_name': 'SuspendMachine', 'db_table': "'suspend_machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'suspend.suspendresult': {
            'Meta': {'object_name': 'SuspendResult', 'db_table': "'suspend_results'"},
            'awake_maximum_duration_seconds': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'awake_minimum_duration_seconds': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['suspend.SuspendImage']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_build': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['common.JenkinsBuild']"}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['suspend.SuspendMachine']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'suspend_maximum_duration_seconds': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'suspend_mean_duration_seconds': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'suspend_minimum_duration_seconds': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'suspends_attempted': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'suspends_succeeded_percent': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'suspends_total_time_percent': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['suspend']
