function draw_suspend_graph(url, div_id, key) {
    YUI().use('charts', 'io-base', 'json-parse', function(Y) {
        Y.io(url, {
            method: 'GET',
            on: {
                success: function (id, result) {
                    var data = Y.JSON.parse(result.responseText);
                    var values = Array();
                    var style = {
                        axes: {
                            build_number: {
                                label: {
                                    rotation: -90
                                }
                            }
                        },
                        series: {
                            values: {
                                marker: {
                                    fill: {
                                        color: "#DD4814"
                                    },
                                    over: {
                                        width: 6,
                                        height: 6
                                    },
                                    width: 3,
                                    height: 3
                                },
                                line: {
                                    weight: 2
                                }
                            }
                        }
                    }

                    for (x in data) {
                        var entry = data[x];
                        values.push({build_number: entry.image__build_number,
                            values: entry[key]});
                    }

                    var chart = new Y.Chart({
                        dataProvider: values,
                        render: div_id,
                        styles: style,
                        categoryKey: "build_number"
                    });
               }
            }
        });
    });
};
