# QA Dashboard
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import logging

from suspend.models import (
    SuspendImage,
    SuspendMachine,
    SuspendResult,
)


def get_images(arch=None):

    images = SuspendImage.objects.filter(publish=True)

    if arch is not None:
        images = images.filter(arch=arch)

    return images


def get_machines(arch=None):
    results = SuspendResult.objects.filter(publish=True)

    if arch is not None:
        results = results.filter(image__arch=arch)

    machines = results.distinct().values('machine')

    machine_ids = [x['machine'] for x in machines]

    machines = SuspendMachine.objects.filter(
        publish=True,
        id__in=machine_ids,
    )

    return machines


def get_arches():

    results = SuspendResult.objects.filter(publish=True).values(
        'image__arch',
    ).distinct()

    arches = [x['image__arch'] for x in results]

    return arches
